<?php
/**
 * Footer options
 *
 * @package Theme Palace
 * @subpackage  Top Event
 * @since  Top Event 1.0.0
 */

// Footer Section
$wp_customize->add_section( 'top_event_section_footer',
	array(
		'title'      			=> esc_html__( 'Footer Options', 'top-event' ),
		'priority'   			=> 900,
		'panel'      			=> 'top_event_theme_options_panel',
	)
);

// footer text
$wp_customize->add_setting( 'top_event_theme_options[copyright_text]',
	array(
		'default'       		=> $options['copyright_text'],
		'sanitize_callback'		=> 'top_event_santize_allow_tag',
		'transport'				=> 'postMessage',
	)
);

$wp_customize->add_control( 'top_event_theme_options[copyright_text]',
    array(
		'label'      			=> esc_html__( 'Copyright Text', 'top-event' ),
		'section'    			=> 'top_event_section_footer',
		'type'		 			=> 'textarea',
    )
);

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'top_event_theme_options[copyright_text]',
		array(
			'selector'            => '.site-info .wrapper',
			'settings'            => 'top_event_theme_options[copyright_text]',
			'container_inclusive' => false,
			'fallback_refresh'    => true,
			'render_callback'     => 'top_event_copyright_text_partial',
		)
	);
}

// scroll top visible
$wp_customize->add_setting( 'top_event_theme_options[scroll_top_visible]',
	array(
		'default'       	=> $options['scroll_top_visible'],
		'sanitize_callback' => 'top_event_sanitize_switch_control',
	)
);

$wp_customize->add_control( new  Top_Event_Switch_Control( $wp_customize,
	'top_event_theme_options[scroll_top_visible]',
		array(
			'label'      		=> esc_html__( 'Display Scroll Top Button', 'top-event' ),
			'section'    		=> 'top_event_section_footer',
			'on_off_label' 		=> top_event_switch_options(),
		)
	)
);
